Bug 150625 - dbus update to dbus-0.31-1 from 0.23-4 creates an awful mess
Summary: dbus update to dbus-0.31-1 from 0.23-4 creates an awful mess
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-08 22:55 UTC by Michal Jaegermann
Modified: 2013-03-13 04:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 00:06:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2005-03-08 22:55:25 UTC
Description of problem:

/etc/rc.d/init.d/messagebus checks for an existence of
/usr/bin/dbus-daemon-1 executatable.  The catch is that
dbus-0.31-1 package provides /usr/bin/dbus-daemon instead.
This means that postuninstall scriptlet from 0.23-4 fails,
new messagebus does not restart, and hal it out-to-lunch.

As an apparent side effect this quietly reconfigured my
display to some "generic 800x600".  Very nice!

Version-Release number of selected component (if applicable):
dbus-0.31-1

Comment 1 John (J5) Palmieri 2005-03-09 00:06:57 UTC
Fixed in dbus-0.31-2

Comment 2 John (J5) Palmieri 2005-03-09 00:08:26 UTC
btw hal and dbus don't have anything ot do with screen resolution.

Comment 3 Michal Jaegermann 2005-03-09 00:54:41 UTC
I am not sure what is a chain of dependencies but something
definitely caused 'system-config-display' to silently run and rewrite
/etc/X11/xorg.conf in time when 'messagebus' and 'haldaemon' services
were messed up.  It is hard to imagine what else could bring that.
Reboots with a sanity restored do not have such side-effects anymore.


Note You need to log in before you can comment on or make changes to this bug.